# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "mssql-derive"
version = "0.19.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for SQL Server row mapping"
readme = "README.md"
keywords = [
    "sql-server",
    "derive",
    "macro",
    "orm",
]
categories = ["database"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/praxiomlabs/rust-mssql-driver"

[lib]
name = "mssql_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "derive",
    "parsing",
]

[lints.clippy]
dbg_macro = "warn"
expect_used = "warn"
panic = "warn"
todo = "warn"
unwrap_used = "warn"

[lints.rust]
missing_docs = "warn"
unsafe_code = "deny"
